# GESVideoTrack

A GESVideoTrack is a default video GESTrack, with a GES_TRACK_TYPE_VIDEO track-type and "video/x-raw(ANY)" caps.

By default, a video track will have its restriction-caps set to "video/x-raw" with the following properties:

- width: 1280
- height: 720
- framerate: 30/1

These fields are needed for negotiation purposes, but you can change their values if you wish. It is advised that you do so using ges_track_update_restriction_caps with new values for the fields you wish to change, and any additional fields you may want to add. Unlike using ges_track_set_restriction_caps, this will ensure that these default fields will at least have some value set.

## GESVideoTrack

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──GESTrack
                            ╰──GESVideoTrack

### Members

`parent_instance` (GESTrack) –
No description available

### Class structure

#### GESVideoTrackClass

##### Fields

`parent_class` (GESTrackClass) –
No description available
`_ges_reserved` (gpointer*) –
No description available

### GES.VideoTrackClass

##### Attributes

`parent_class` (GES.TrackClass) –
No description available
`_ges_reserved` ([ Object ]) –
No description available

### GES.VideoTrackClass

##### Attributes

`parent_class` (GES.TrackClass) –
No description available
`_ges_reserved` ([ object ]) –
No description available

## GES.VideoTrack

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──Gst.Bin
                        ╰──GES.Track
                            ╰──GES.VideoTrack

### Members

`parent_instance` (GES.Track) –
No description available

## GES.VideoTrack

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──Gst.Bin
                        ╰──GES.Track
                            ╰──GES.VideoTrack

### Members

`parent_instance` (GES.Track) –
No description available

### Constructors

#### ges_video_track_new

    GESVideoTrack *
    ges_video_track_new ()

Creates a new video track, with a GES_TRACK_TYPE_VIDEO track-type and "video/x-raw(ANY)" caps, and "video/x-raw" restriction-caps with the properties:

- width: 1280
- height: 720
- framerate: 30/1

You should use ges_track_update_restriction_caps if you wish to modify these fields, or add additional ones.

Returns ( [transfer: floating]) –

The newly created video track.

#### GES.VideoTrack.prototype.new

    function GES.VideoTrack.prototype.new(): {
        // javascript wrapper for 'ges_video_track_new'
    }

Creates a new video track, with a GES.TrackType.VIDEO track-type and "video/x-raw(ANY)" caps, and "video/x-raw" restriction-caps with the properties:

- width: 1280
- height: 720
- framerate: 30/1

You should use GES.Track.prototype.update_restriction_caps if you wish to modify these fields, or add additional ones.

Returns (GES.VideoTrack) –

The newly created video track.

#### GES.VideoTrack.new

    def GES.VideoTrack.new ():
        #python wrapper for 'ges_video_track_new'

Creates a new video track, with a GES.TrackType.VIDEO track_type and "video/x-raw(ANY)" caps, and "video/x-raw" restriction_caps with the properties:

- width: 1280
- height: 720
- framerate: 30/1

You should use GES.Track.update_restriction_caps if you wish to modify these fields, or add additional ones.

Returns (GES.VideoTrack) –

The newly created video track.

The results of the search are